4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ApplyTemplatesElement

Implementation of xsl:apply-templates instruction

    Copyright 2004 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: ApplyTemplatesElement |  |  |  | Globals: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class ApplyTemplatesElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

  ### Methods

  instantiate(self, context, processor)
    Overrides: instantiate from class XsltElement
  setup(self)
    Overrides: setup from class XsltElement

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  __init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

  ### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  idle, isLastChild, isPseudoNode, pprint, prime

  ### Members

  category = 0
  content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
  doesSetup = 1
  legalAttrs = {'mode': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'select': <Ft.Xml.Xslt.AttributeInfo.Expression instance>}

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

  validator

  ### Members inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

  attributes, baseUri, children, columnNumber, doesIdle, doesPrime, expandedName, importIndex, lineNumber, nodeName, parent, root

## Globals

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'